Loading...
Searching...
No Matches
util.hpp File Reference
`#include <chrono>`
`#include <future>`
`#include <thread>`
`#include <utility>`
`#include <sys/prctl.h>`
Include dependency graph for util.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::thread::thread_handler

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::thread
| Threading-related low-level code.

## Functions

template<typename T>
void | osmium::thread::check_for_exception (std::future< T > &future)
template<typename T>
void | osmium::thread::wait_until_done (std::future< T > &future)
void | osmium::thread::set_thread_name (const char *name) noexcept